Commit Diff


commit - ade1e2eb7bc03c24e833d73aa0e185bf862db4db
commit + f7a4d03ba2701bc91d48a70be66871ba435334ae
blob - bf7ed00ff43dcaea421b24a8c9d64f3be91241b6
blob + 43305d0d7a47000327a51be9a239a9478ec72c64
--- src/testsuite/stress-server.sh
+++ src/testsuite/stress-server.sh
@@ -9,7 +9,7 @@
 # (at your option) any later version.
 # Please read the file COPYING, README and AUTHORS for more information.
 #
-# $Id: stress-server.sh,v 1.11 2004/09/04 15:45:27 alex Exp $
+# $Id: stress-server.sh,v 1.12 2004/09/04 16:14:47 alex Exp $
 #
 
 # detect source directory
@@ -47,12 +47,16 @@ while [ ${no} -lt $CLIENTS ]; do
   no=`expr ${no} + 1`
 done
 
+PS_FLAGS="-f"
+ps $PS_FLAGS >/dev/null 2>&1
+[ $? -ne 0 ] && PS_FLAGS="a"
+
 no=0
 while [ ${no} -lt $CLIENTS ]; do
   expect tests/${no}.e > logs/stress-${no}.log 2> /dev/null &
   no=`expr ${no} + 1`
 
-  count=`ps | grep "expect " | wc -l`
+  count=`ps $PS_FLAGS | grep "expect " | wc -l`
   count=`expr $count - 1`
   echo "      started client $no/$CLIENTS ($count test scripts running)."
 
blob - 70f669f474043c525d35dee7660f1d606a289982
blob + 52458be9ce56166fbe828253d0b72a9c9b4c43c9
--- src/testsuite/wait-tests.sh
+++ src/testsuite/wait-tests.sh
@@ -9,14 +9,18 @@
 # (at your option) any later version.
 # Please read the file COPYING, README and AUTHORS for more information.
 #
-# $Id: wait-tests.sh,v 1.1 2004/09/04 15:44:45 alex Exp $
+# $Id: wait-tests.sh,v 1.2 2004/09/04 16:14:47 alex Exp $
 #
 
 [ "$1" -gt 0 ] 2> /dev/null && MAX="$1" || MAX=5
 
+PS_FLAGS="-f"
+ps $PS_FLAGS >/dev/null 2>&1
+[ $? -ne 0 ] && PS_FLAGS="a"
+
 msg=0
 while true; do
-  count=`ps | grep "expect " | wc -l`
+  count=`ps $PS_FLAGS | grep "expect " | wc -l`
   count=`expr $count - 1`
 
   [ $count -le $MAX ] && break